Can't make FE:A detect DLC

Discussion in '3DS - Homebrew Development and Emulators' started by dradonhunter11, Feb 25, 2016.

  1. dradonhunter11
    OP

    dradonhunter11 French o-MEGA modder

    Member
    586
    331
    Oct 27, 2015
    Canada
    The Distorded and chaotic land
    Hello everyone!

    I am trying to launch DLC of fire emblem awakening but it alway say that there is no sd crad (wich is impossible because it's on my emuNAND)

    Before saying to go with BBM, devMenu (2 version, 1 installed in NAND from that "chaos site" and other version installed in SD card) and FBI (wich work for my smash dlc), I already test those and it didn't work
    sysNAND: 9.2.0-20U
    emuNAND: USA 10.6.0-31U RXMode
    Region CIA: EUR for dlc (I tried USA one to)

    I never did go on eshop from game. Is it possible that because it's an out of region CIA?
     
    Last edited by dradonhunter11, Feb 25, 2016
  2. urherenow

    urherenow GBAtemp Addict

    Member
    2,972
    881
    Mar 8, 2009
    United States
    Japan
    Yes, but it really shouldn't give you trouble if the default language to that game is the language your console is set to (I thought...). Otherwise there are 2 choices. Gateway, or run NTR with the appropriate language plugin configured for that game.

    Of course, no matter what, the DLC and game region MUST match. Making a region patched.cia and using a 'legit' .cia for DLC probably won't work.
     
    Last edited by urherenow, Feb 25, 2016
  3. dradonhunter11
    OP

    dradonhunter11 French o-MEGA modder

    Member
    586
    331
    Oct 27, 2015
    Canada
    The Distorded and chaotic land
    I tried to run NTR, didn't found the right plugin sadly...
     
  4. axemurderer

    axemurderer GBAtemp Regular

    Member
    219
    58
    Sep 1, 2014
    United States
    Hoenn nostalgia town
    you need the usa cia and dlc if your emunand is usa.

    edit: for clarification, the game and dlc need to be the same region... are they?
     
  5. urherenow

    urherenow GBAtemp Addict

    Member
    2,972
    881
    Mar 8, 2009
    United States
    Japan
    No you don't. You can use whatever region you want. The game region just has to match the DLC region, and you need the language plugin configured.


    ??

    Do you know how to find and use/configure the language plugin? (I'm thinking no, at this point)

    https://gbatemp.net/threads/release-language-emulation-plugin-for-ntr-1-0-2-2.386543/

    If your Game is Japanese, you use the Japanese plugin. You have to make the correct folder path for the game too.
     
    Last edited by urherenow, Feb 25, 2016
  6. jagerstaffel

    jagerstaffel GBAtemp Advanced Fan

    Member
    533
    129
    Aug 20, 2008
    United States
    Fire emblem Awakening DLC is very picky, the game and DLC has to match the region of the Emunand. Of course, it could be an RXTools thing because I had the same problem as OP with the same CFW, and using same region game and DLC was the only answer.
     
    Aternel likes this.
  7. dradonhunter11
    OP

    dradonhunter11 French o-MEGA modder

    Member
    586
    331
    Oct 27, 2015
    Canada
    The Distorded and chaotic land
    nop, I have the file tough and transferring it trough the Nintendo micro sd management app. I think it like the cheat plugin, no?

    — Posts automatically merged - Please don't double post! —

    it work, but the game is in English now instead of french... I use the european plugin
     
  8. urherenow

    urherenow GBAtemp Addict

    Member
    2,972
    881
    Mar 8, 2009
    United States
    Japan
    There is an en_europe and a Europe. The game more than likely works with multiple languages, in which case I don't know how to help with that, if the Game doesn't have a settings menu for you to change it.

    But since it works...

    @jagerstaffel I told you so :teach:

    The problem most people have is that they patch the game.cia itself to be region-free, instead of letting the CFW do its job.


    EDIT:
    Found it later in the thread. Someone made more plugins and one of them is specifically for French: https://gbatemp.net/threads/release...in-for-ntr-1-0-2-2.386543/page-3#post-5448883
     
    Last edited by urherenow, Feb 25, 2016
  9. dradonhunter11
    OP

    dradonhunter11 French o-MEGA modder

    Member
    586
    331
    Oct 27, 2015
    Canada
    The Distorded and chaotic land
    it work! I alway let rxtools to region free, if I wasn't, it would be useless XD
     
  10. jagerstaffel

    jagerstaffel GBAtemp Advanced Fan

    Member
    533
    129
    Aug 20, 2008
    United States
    I'm not really a plugin guy so I was fortunate someone uploaded the USA DLC, which let me use my physical cart :P